function [A,Sy,Sz,Iy,Iyz,Iz,alfa,Ig]=geometrija_prereza(voz)


%izrauna geometrijske karakteristike poligonskega lika danega z vozlii voz
%                voz(1,:) so x koordinate oglji
%                voz(2,:) so y koordinate oglji
% pozor, da je to res lik mora biti prva toka enaka zadnji!  
%
% Dejan Zupan, Katedra za Mehaniko, .l. 2003/04

A=0;
Sy=0;
Sz=0;
Iy=0;
Iyz=0;
Iz=0;

i=1;
while i<size(voz,2)
   if abs(voz(2,i+1)-voz(2,i))<100*eps %e smo vzporedni s koordinatno osno je integral enak 0
      i=i+1; %gremo samo naprej
      
   else   %sicer integriramo
         %najprej izraunam naklon in odmik premice na kateri lei trenutni (i-ti rob)
     k=(voz(1,i+1)-voz(1,i))/(voz(2,i+1)-voz(2,i));
     n=voz(1,i)-k*voz(2,i);
     
     int1=voz(2,i+1)-voz(2,i); %integral konstante
     int2=0.5*(voz(2,i+1)^2-voz(2,i)^2); %integral z
     int3=1/3*(voz(2,i+1)^3-voz(2,i)^3); %integral z*z 
     int4=1/4*(voz(2,i+1)^4-voz(2,i)^4); %integral z*z*z 
     
     A=A+k*int2+n*int1; %ploina
    
     Sy=Sy+k*int3+n*int2;
     Sz=Sz+k*k*int3+2*k*n*int2+n*n*int1; %x koordinata teia
     Iy=Iy+k*int4+n*int3;
     Iyz=Iyz+k*k*int4+2*k*n*int3+n*n*int2;
     Iz=Iz+k^3*int4+3*k*k*n*int3+3*k*n*n*int2+n^3*int1;
     
     i=i+1; 
      
   end
end


Sz=0.5*Sz;
Iyz=0.5*Iyz;
Iz=Iz/3;
yt=Sz/A;
zt=Sy/A;

% PREMIK V TEIE IN ZASUK V GLAVNE VZTRAJNOSTNE OSI 
%--------------------------------------------------------------------------------------------------

%sedaj pa prerez premaknemo v teie in po potrebi v glavne vztrajnostne osi (Iyz=0)
y_voz=voz(1,:)-yt;
z_voz=voz(2,:)-zt;

vozg=[y_voz;z_voz];
Iyt=0;
Iyzt=0;
Izt=0;

i=1;
while i<size(vozg,2)
   if abs(voz(2,i+1)-voz(2,i))<100*eps %e smo vzporedni s koordinatno osno je integral enak 0
      i=i+1; %gremo samo naprej
      
   else   %sicer integriramo
         %najprej izraunam naklon in odmik premice na kateri lei trenutni (i-ti rob)
     k=(vozg(1,i+1)-vozg(1,i))/(vozg(2,i+1)-vozg(2,i));
     n=vozg(1,i)-k*vozg(2,i);
     
     int1=vozg(2,i+1)-vozg(2,i); %integral konstante
     int2=0.5*(vozg(2,i+1)^2-vozg(2,i)^2); %integral z
     int3=1/3*(vozg(2,i+1)^3-vozg(2,i)^3); %integral z*z 
     int4=1/4*(vozg(2,i+1)^4-vozg(2,i)^4); %integral z*z*z 
     
     
     Iyt=Iyt+k*int4+n*int3;
     Iyzt=Iyzt+k*k*int4+2*k*n*int3+n*n*int2;
     Izt=Izt+k^3*int4+3*k*k*n*int3+3*k*n*n*int2+n^3*int1;
     
     i=i+1; 
   end
end

Iyzt=0.5*Iyzt;
Izt=Izt/3;

%e vrtenje
if Iyzt~=0
   alfa=0.5*atan(-2*Iyzt/(Iyt-Izt));
   
   Q=[ cos(alfa) sin(alfa)
	   -sin(alfa) cos(alfa)];

	vozg=Q*vozg;
   Ig(1)=0.5*(Iyt+Izt)+0.5*(Iyt-Izt)*cos(2*alfa)-Iyzt*sin(2*alfa);
   Ig(2)=0.5*(Iyt+Izt)-0.5*(Iyt-Izt)*cos(2*alfa)+Iyzt*sin(2*alfa);
else   
   Ig(1)=Iyt;
   Ig(2)=Izt;
end   

figure(1)
clf reset
plot(voz(1,:),voz(2,:))
axis equal